<app-sub-menu-label>
  <b>PREPROCESSING</b>
</app-sub-menu-label>
<mat-divider></mat-divider>
<app-preprocessing-annotation-list
  *ngrxLet="preprocessingAnnotationEntities$; let preprocessingAnnotationEntities"
  [annotationEntities]="preprocessingAnnotationEntities"
  [annotationSelection]="(preprocessingAnnotationSelection$|ngrxPush)"
  [loaded]="(loaded$|ngrxPush)"
  [hiddenAnnotationSelection]="(hiddenAnnotationSelection$|ngrxPush)"
  [allSelected]="(allSelected$|ngrxPush)"
  [someSelected]="(indeterminateSelection$|ngrxPush)"
  [disabled]="!(selectedRegionsCollection$|ngrxPush) || !preprocessingAnnotationEntities?.length"
  (zoomToAnnotation)="onZoomToAnnotation($event)"
  (selectAllChanged)="onAllAnnotationSelectChanged($event)"
  (changeAnnotationSelection)="onAnnotationSelectionChanged($event)"
  (changeHiddenAnnotationSelection)="onHiddenAnnotationSelectionChanged($event)">
</app-preprocessing-annotation-list>
